QGIS Application - Bug report #1443
Changed layer saving enhancement
2008-12-02 07:47 AM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Marco Hugentobler
Category: Digitising

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11503

Description

When closing QGis containing a vector layer in edit mode, no warning is displayed and changes are being lost. The same when the layer

is being removed from the legend.

| propose to implement one consistent behaviour: If user is closing a layer which contains any unsaved changes (because is either in

editing mode or changed by a plugin or the Python Console), a warning message is displayed with three options:

- drop changes
- save layer (if supported)
- save as shapefile

History

#1 - 2009-08-07 04:59 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in

#2 - 2009-08-07 05:44 AM - Giovanni Manghi

great news, thanks.

| noticed that if it is the case, qgis notices about saving the project before asking to save the changes to a layer. Maybe it is worth to exchange the priority

of the two.

Ciao

#3 - 2009-08-07 11:41 PM - Marco Hugentobler

| thought of that too. However, the user still has the possibility to cancel if asked to save the changes. If he cancels, | assume he hit the button by mistake

and also want the layers to stay editable. In this case it is better to ask to save edit changes afterwards.
